unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, 
  StdCtrls, ComCtrls, ExtCtrls, ENetMail;

type
  TFrmMain = class(TForm)
    NetMail1: TEvNetMail;
    PageControl1: TPageControl;
    TbShtEntrada: TTabSheet;
    TbShtSaida: TTabSheet;
    PanFundoSaida: TPanel;
    MemMsgSaida: TMemo;
    PanDestino: TPanel;
    Label7: TLabel;
    PanEnviar: TPanel;
    BtnEnviar: TButton;
    Label1: TLabel;
    EdtDestino: TEdit;
    PanFundoEntrada: TPanel;
    MemMsgEntrada: TMemo;
    PanOrigem: TPanel;
    Label5: TLabel;
    Label2: TLabel;
    Label4: TLabel;
    EdtData: TEdit;
    EdtOrigem: TEdit;
    Label6: TLabel;
    EdtHorario: TEdit;
    procedure BtnEnviarClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure NetMail1NewMessage(Sender: TObject; Msg: TEvNetMessage);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmMain: TFrmMain;

implementation

{$R *.DFM}

procedure TFrmMain.FormCreate(Sender: TObject);
begin
  NetMail1.Open;
  PageControl1.ActivePage := TbShtSaida;
end;

procedure TFrmMain.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  NetMail1.Close;
end;

procedure TFrmMain.BtnEnviarClick(Sender: TObject);
begin
  NetMail1.SendMessage(EdtDestino.Text, 'InBox', MemMsgSaida.Text);
end;

procedure TFrmMain.NetMail1NewMessage(Sender: TObject; Msg: TEvNetMessage);
begin
  PageControl1.ActivePage := TbShtEntrada;
  EdtOrigem.Text := Msg.From;
  EdtData.Text := DateToStr(Msg.Date);
  EdtHorario.Text := TimeToStr(Msg.Time);
  MemMsgEntrada.Text := Msg.Text;
end;


end.
