unit Unit1;

interface

uses
  Windows, StdCtrls, ExtCtrls, ComCtrls, Classes, Controls, Forms, Dialogs, 
  ENetRes;

type
  TFrmMain = class(TForm)
    PanFundo: TPanel;
    ListBoxRes: TListBox;
    TreeViewRes: TTreeView;
    NetResources1: TEvNetResources;
    PanBottom: TPanel;
    RadGrpRecursos: TRadioGroup;
    PanRadGrp: TPanel;
    RadGrpVisualizacao: TRadioGroup;
    procedure RadGrpVisualizacaoClick(Sender: TObject);
    procedure RadGrpRecursosClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
  public
    { Public declarations }
  end;

var
  FrmMain: TFrmMain;

implementation

{$R *.DFM}

procedure TFrmMain.RadGrpVisualizacaoClick(Sender: TObject);
begin
  ListBoxRes.Visible := (RadGrpVisualizacao.ItemIndex = 1);
  TreeViewRes.Visible := (RadGrpVisualizacao.ItemIndex = 0);
end;

procedure TFrmMain.RadGrpRecursosClick(Sender: TObject);
begin
  Screen.Cursor := crHourGlass;
  ListBoxRes.Clear;
  ListBoxRes.Update;
  NetResources1.ResType := TEvResourcesType(RadGrpRecursos.ItemIndex);
  NetResources1.Update;
  ListBoxRes.Items.Assign(NetResources1.StrList);
  TreeViewRes.FullExpand;
  Screen.Cursor := crDefault;
  if ListBoxRes.Items.Count = 0 then
    ShowMessage('A rede no est acessvel neste momento.');
end;

procedure TFrmMain.FormCreate(Sender: TObject);
begin
  RadGrpRecursosClick(Self);
end;

procedure TFrmMain.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = VK_F5 then
    RadGrpRecursosClick(Self);
end;

end.

