unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FileCtrl, ExtCtrls, EDskInf;

type
  TFrmMain = class(TForm)
    Panel1: TPanel;
    GrpBox: TGroupBox;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    PanLabel: TPanel;
    PanTipo: TPanel;
    PanSistema: TPanel;
    PanSerie: TPanel;
    PanTamanho: TPanel;
    PanLivre: TPanel;
    RadioGroup1: TRadioGroup;
    Panel2: TPanel;
    DiskInfo1: TEvDiskInfo;
    function GetType(DrvTp: TDriveType): string;
    procedure FormCreate(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmMain: TFrmMain;

implementation

{$R *.DFM}

// FormCreate
procedure TFrmMain.FormCreate(Sender: TObject);
var
  D: Char;
  S: string;
begin
  for D := 'A' to 'Z' do
    begin
      S := '';
      DiskInfo1.Drive := D;
      case DiskInfo1.DriveType of
        dtFloppy: S := D + ': (Disquete)';
        dtFixed: S := D + ': (Fixo)';
        dtNetwork: S := D + ': (Rede)';
        dtCDROM: S := D + ': (CD)';
        dtRAM: S := D + ': (RAM)';
      end;
      if S <> '' then
        RadioGroup1.Items.Add(S);
    end;
end;


// RadioGroup1Click
procedure TFrmMain.RadioGroup1Click(Sender: TObject);
begin
  DiskInfo1.Drive := Copy(RadioGroup1.Items[RadioGroup1.ItemIndex], 1, 1);
  PanLabel.Caption := DiskInfo1.DiskLabel;
  PanTipo.Caption := GetType(DiskInfo1.DriveType);
  PanSistema.Caption := DiskInfo1.FileSystem;
  PanSerie.Caption := DiskInfo1.SerialNumber;
  PanTamanho.Caption := FormatFloat('#,##0', DiskInfo1.Size) + ' byte';
  if DiskInfo1.Size > 0 then
    PanTamanho.Caption := PanTamanho.Caption + 's';
  PanLivre.Caption := FormatFloat('#,##0', DiskInfo1.FreeSpace) + ' byte';
  if DiskInfo1.FreeSpace > 0 then
    PanLivre.Caption := PanLivre.Caption + 's';
end;


// GetType
function TFrmMain.GetType(DrvTp: TDriveType): string;
begin
  Result := '';
  case DrvTp of
    dtUnknown: Result := 'Desconhecido';
    dtNoDrive: Result := 'Sem drive';
    dtFloppy: Result := 'Drive de disquete';
    dtFixed: Result := 'Disco rgido';
    dtNetwork: Result := 'Conexo de rede';
    dtCDROM: Result := 'Drive de CD-ROM';
    dtRAM: Result := 'Drive virtual';
  end;
end;




end.
